Page MenuHomePhabricator

Need to reconnect my 2-factors authentication for my wiki account
Closed, ResolvedPublic

Description

I activated this for my professional account user:Lea Lacroix (WMDE) in 2017, the second device being my phone with Google Authenticator.
These last weeks I had to change phone, and the app was reset. Now when I access it, it tells me to scan a barcode. Which means that when I want to sign in to my account, I can't access the code anymore.
The solution would be to deactivate the 2FA and reactivate it again, but for that, I need a code. Is it possible to deactivate it temporarily so I reconnect it all and my account is safe again? Thanks!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 12:38 PM

As a Wikimedia Steward and WMDE colleague, I can confirm that this is Léa Lacroix. Please reset her 2FA, thanks.

jrbs moved this task from Backlog to Support on the Trust-and-Safety board.Feb 14 2018, 5:03 PM
jrbs added a subscriber: jrbs.Feb 14 2018, 5:07 PM

Hi @Lea_Lacroix_WMDE, just as one added step could you email ca@wikimedia.org from the email with which the account is registered? Thanks.

jrbs claimed this task.Feb 14 2018, 5:08 PM
jrbs triaged this task as High priority.
jrbs closed this task as Resolved.Feb 15 2018, 5:24 PM

Thanks @Lea_Lacroix_WMDE! I've removed 2FA from the account.

And it's fixed and safe again! Thanks @jrbs @DerHexer :)

Lea_Lacroix_WMDE reopened this task as Open.May 28 2018, 9:38 AM

Hey @jrbs, I'm sorry to bother you again, but I had to change phone another time, and need to reinitialize my 2FA. Can you remove it again? Thanks a lot.

jrbs closed this task as Resolved.May 29 2018, 5:24 PM

Got your email too. :)

foks@terbium:~$ mwscript extensions/OATHAuth/maintenance/disableOATHAuthForUser.php --wiki=dewiki "Lea Lacroix (WMDE)"
OATHAuth disabled for Lea Lacroix (WMDE).
jrbs added a comment.May 29 2018, 5:25 PM

Please, though, do retain your scratch / recovery codes if you do want to set up 2FA in the future! It prevents things like this from happening :)

Mentioned in SAL (#wikimedia-operations) [2018-05-29T17:25:51Z] <foks> Removing 2FA - T187312

...I got them, I just completely forgot to use them... sorry ^^